package protocol

type ProtocolErrorCode int

const (
	ProtocolErrorCodeParse          ProtocolErrorCode = -32700
	ProtocolErrorCodeInvalidRequest ProtocolErrorCode = -32600
	ProtocolErrorCodeNotFoundMethod ProtocolErrorCode = -32601
	ProtocolErrorCodeInvalidParams  ProtocolErrorCode = -32602
	ProtocolErrorCodeInternal       ProtocolErrorCode = -32603
	// -32000 ~ -32099
	ProtocolErrorCodeServer ProtocolErrorCode = -32000
)

type ProtocolError struct {
	Code    ProtocolErrorCode `json:"code"`
	Message *string           `json:"message"`
	Data    interface{}       `json:"data"`
}
